## scalene 0.7.5

=== debian/changelog ===
scalene (0.7.5-2) unstable; urgency=medium

  * Team upload.
  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Use canonical URL in Vcs-Git.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sergio Durigan Junior ]
  * d/control: Bump debhelper-compat to 13.
  * d/control: Bump Standards-Version to 4.5.1.
  * d/control: Set Rules-Requires-Root: no.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 20 Dec 2020 18:55:01 -0500

scalene (0.7.5-1) unstable; urgency=medium

  * Initial release (Closes: #951348)

 -- Emmanuel Arias <eamanu@yaerobi.com>  Sat, 15 Feb 2020 22:27:08 -0300
