=== debian/control ===
Source: scalene
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Emmanuel Arias <eamanu@yaerobi.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-setuptools,
               python3-all,
               python3-numpy,
Standards-Version: 4.5.1
Homepage: https://github.com/emeryberger/scalene
Vcs-Browser: https://salsa.debian.org/python-team/packages/scalene
Vcs-Git: https://salsa.debian.org/python-team/packages/scalene.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-scalene
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: high-performance CPU and memory profiler for Python (Python 3)
 scalene is a high-performance cpu *and* memory profiler for Python that does
 a few things that other Python profilers do not and cannot do.  It runs
 orders of magnitude faster than other profilers while delivering far more
 detailed information.
 .
 This package installs the library for Python 3.
