=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=scalene

%:
	dh $@ --with python3 --buildsystem=pybuild


override_dh_auto_test:
	# pass
	# pyperf must be package to run test
