## scalene 1.4.1

=== debian/changelog ===
scalene (1.4.1-1) unstable; urgency=medium

  [ Adam Cecile ]
  * Package is now arch any instead of all because it contains built
   libraries for better profiling.
  * Command scalene is now provided (Closes: #983655).
  * Update debian/copyright to add statements for vendor folder.
  * Add runtime dependencies as build dependencies so help2man can run
    scalene command.
  * Generate scalene manpage using help2man.
  * Prepare packaging to run unittest but still not enabled yet (pyperf
    needed + other errors).
  * Add pynvml (NVIDIA GPU profiling) recommends, contrib package so no
    strict dependency.
  * Patch code to avoid strict dependency on pynvml.
  * Patch code to load liscalene.so after renaming with Python ABI suffix.

  [ Emmanuel Arias ]
  * New upstream release.
  * wrap-and-sort.
  * d/control: Add python3-wheel as Build Depends.
  * d/rules: Enable the bindnow hardening flag.
  * d/rules: Provide a name to the manual generated by help2man.
  * d/rules: Install *.so shared libraries in /usr/lib/scalene/lib.
  * d/control: Add python3-pip as Build Dependency.
  * d/copyright: Remove vendor/Hoard/ license entry. Upstream not longer
    package it.
  * d/control: Add pyhton3-ipython as Recommends for binary-package.
  * d/copyright: Update copyright year for debian/* files.
  * d/copyright: Reformat file.
  * d/python3-scalene.docs: Add /vendor/Heap-Layers/NOTICE file in the binary
    package.
  * remove temporal file.

  [ Nilesh Patra ]
  * Add patch and remove B-D on python3-pip
  * d/control: Bump Standards-Version to 4.6.0 (No changes needed)

 -- Emmanuel Arias <eamanu@yaerobi.com>  Sat, 12 Mar 2022 19:41:38 +0530
