=== debian/control ===
Source: scalene
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Emmanuel Arias <eamanu@yaerobi.com>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               help2man,
               python3-all-dev,
               python3-cloudpickle,
               python3-numpy,
               python3-packaging,
               python3-pytest <!nocheck>,
               python3-rich,
               python3-setuptools,
               python3-setuptools-scm,
               python3-wheel,
Standards-Version: 4.6.0
Homepage: https://github.com/emeryberger/scalene
Vcs-Browser: https://salsa.debian.org/python-team/packages/scalene
Vcs-Git: https://salsa.debian.org/python-team/packages/scalene.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-scalene
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Recommends: python3-ipython,
            python3-pynvml,
Description: high-performance CPU and memory profiler for Python (Python 3)
 scalene is a high-performance cpu *and* memory profiler for Python that does
 a few things that other Python profilers do not and cannot do.  It runs
 orders of magnitude faster than other profilers while delivering far more
 detailed information.
 .
 This package installs the library for Python 3.
