## scalene 1.5.16

=== requirements.txt ===
cloudpickle==1.6.0
Cython>=0.29.28
git+https://github.com/plasma-umass/crdp.git#egg=crdp
ipython==7.31.1
Jinja2==3.0.3
lxml==4.9.1
packaging==20.9
pyperf==2.0.0
rich>=10.7.0
setuptools~=57.0.0
pip~=21.1.2
pynvml~=11.0.0
wheel~=0.36.1
