=== debian/changelog ===
scalene (1.5.16-1) unstable; urgency=medium

  * New upstream version (Closes: #1025237, #1023633).
  * d/patches: Update patches according to upstream changes.
  * d/control: Bump Standards-Version to 4.6.1.1 (from 4.6.0; no further
    changes).
  * d/copyright: Update the Source upstream link.
  * d/control: Update Homepage upstream link.
  * d/copyright: Update the upstream name and contact email in the file.
  * d/python3-scalene.install: install scalene-gui in
    /usr/share/python3-scalene/.
    - d/patches: Add 0005-Point-to-the-debianize-scalene-gui-path.patch to
    redirect correctly the scalene-gui path.
    - d/control: Add libjs-bootstrap4 and libjs-jquery as dependency of the
    package. These are used by the scalene-gui.
  * d/patches: Add 0004-Remove-links-to-external-resource.patch patch to
    remove links for external libs.
  * d/rules: Fix where the *.so files are installed. Now they are living in
    /usr/lib/python*/dist-packages/scalene/.
    - Add Debian SOABI name to crdp and get_line_atomic extensions.
  * d/source/lintian-overrides: Override source-is-missing,
    very-long-line-length-in-source-file and
    source-contains-prebuilt-javascript-object they are because scalene-gui
    contains some js files.
    - python3-scalene.lintian-overrides: Override privacy-breach-generic, this
    is because scalene-gui use vega-embed and vega-lite and they are not in
    Debian yet.
  * d/patches/0006-Add-hardening-flags-in-the-build.patch: Add patch to use
    CXXFLAGS, CPPFLAGS and LDFLAGS in build to solve hardening issues.
    - d/rules: Change DEB_BUILD_MAINT_OPTIONS to hardening=+all from
    hardening=+bindnow.
  * d/control: Add cython3 and python3-jinja2 as Build Depends.
    - Run wrap-and-sort.
  * d/control: Remove trivial autopkgtest-pkg-python.
  * d/tests: Add autopkgtest.
  * d/copyright: Add more files and its copyright notes.
    - Use expat License instead of MIT license.
    - Add crdp vendored extension to copyright.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Mon, 26 Dec 2022 09:33:26 -0300
