=== debian/control ===
--- 
+++ 
@@ -3,11 +3,13 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Emmanuel Arias <eamanu@yaerobi.com>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cython3,
+               debhelper-compat (= 13),
                dh-python,
                help2man,
                python3-all-dev,
                python3-cloudpickle,
+               python3-jinja2,
                python3-numpy,
                python3-packaging,
                python3-pytest <!nocheck>,
@@ -15,16 +17,17 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-wheel,
-Standards-Version: 4.6.0
-Homepage: https://github.com/emeryberger/scalene
+Standards-Version: 4.6.1.1
+Homepage: https://github.com/plasma-umass/scalene
 Vcs-Browser: https://salsa.debian.org/python-team/packages/scalene
 Vcs-Git: https://salsa.debian.org/python-team/packages/scalene.git
-Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
 Package: python3-scalene
 Architecture: any
-Depends: ${misc:Depends},
+Depends: libjs-bootstrap4,
+         libjs-jquery,
+         ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
 Recommends: python3-ipython,
