=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
     --section 1 \
     --version-string '$(DEB_VERSION_UPSTREAM)' \
     > $(CURDIR)/$(PYBUILD_NAME).1
-export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DESTDIR=$(CURDIR)/debian/python3-scalene
 PYVERS := $(shell py3versions -sv)
 
@@ -29,6 +29,6 @@
 	set -e; for pyver in $(PYVERS); do \
 		abitag=.$$(python$$pyver -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))"); \
 		mv $(DESTDIR)/usr/lib/python$$pyver/dist-packages/scalene/libscalene.so $(DESTDIR)/usr/lib/python$$pyver/dist-packages/scalene/libscalene$$abitag.so; \
-		mkdir -p $(DESTDIR)/usr/lib/scalene/lib; \
-		mv $(DESTDIR)/usr/lib/python$$pyver/dist-packages/scalene/*.so $(DESTDIR)/usr/lib/scalene/lib/; \
+		mv $(DESTDIR)/usr/lib/python$$pyver/dist-packages/scalene/crdp.abi3.so $(DESTDIR)/usr/lib/python$$pyver/dist-packages/scalene/crdp$$abitag.so; \
+		mv $(DESTDIR)/usr/lib/python$$pyver/dist-packages/scalene/get_line_atomic.abi3.so $(DESTDIR)/usr/lib/python$$pyver/dist-packages/scalene/get_line_atomic$$abitag.so; \
 	done
