## scalene 1.5.34

=== requirements.txt ===
astunparse>=1.6.3; python_version < '3.9'
cloudpickle==2.2.1
Cython>=0.29.28
git+https://github.com/plasma-umass/crdp.git#egg=crdp
ipython>=8.10
Jinja2==3.0.3
lxml==5.1.0
packaging==20.9
psutil>=5.9.2
pyperf==2.0.0
rich>=10.7.0
setuptools>=65.5.1
pynvml~=11.0.0
wheel~=0.38.1
