=== debian/changelog ===
scalene (1.5.34-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:04:26 +0000

scalene (1.5.34-1) unstable; urgency=medium

  * New upstream version.
  * d/control: Update my contact information.
  * d/patches/0005-Point-to-the-debianize-scalene-gui-path.patch: Update patch
    according to the new upstream release source code.

 -- Emmanuel Arias <eamanu@debian.org>  Tue, 20 Feb 2024 20:32:26 -0300

scalene (1.5.31.1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version (Closes: #1056886, #1037852, #1055725).
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Update lintian override info format in d/source/lintian-overrides on line 5.

  [ Emmanuel Arias ]
  * d/patches/0006-Remove-vendor-deps-target-call.patch: Add patches to remove
    the target "vendor-deps" that clone the vedors dependencies. The upstream
    code from pypi.debian.net already include them.
  * d/patches/0001-Load-libscalene-so-with-Python-ABI-suffix: Update patch to
    use importlib module to Debianize the libscalene name instead of use imp
    module.

 -- Emmanuel Arias <eamanu@debian.org>  Sat, 03 Feb 2024 17:51:57 -0300
