=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Emmanuel Arias <eamanu@yaerobi.com>,
+Uploaders: Emmanuel Arias <eamanu@debian.org>,
 Build-Depends: cython3,
                debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                help2man,
                python3-all-dev,
                python3-cloudpickle,
@@ -17,7 +17,7 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-wheel,
-Standards-Version: 4.6.1.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/plasma-umass/scalene
 Vcs-Browser: https://salsa.debian.org/python-team/packages/scalene
 Vcs-Git: https://salsa.debian.org/python-team/packages/scalene.git
