=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 PYVERS := $(shell py3versions -sv)
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_test:
 	# pass
