## scalene 1.5.40

=== debian/changelog ===
scalene (1.5.40-1) unstable; urgency=medium

  * New upstream version.

 -- Emmanuel Arias <eamanu@debian.org>  Sun, 28 Apr 2024 18:08:57 -0300

scalene (1.5.39-1) unstable; urgency=medium

  * New upstream version.
  * d/patches: Update patches according to upstream source code:
    - 0000-No-strict-dependency-on-pynvml
    - 0005-Point-to-the-debianize-scalene-gui-path.patch
    - 0006-Add-hardening-flags-in-the-build.patch
    - 0006-Remove-vendor-deps-target-call.patch
  * d/python3-scalene.install: Install scalene-gui in
    /usr/lib/python3/dist-package instead of /usr/share/python3-scalene.

 -- Emmanuel Arias <eamanu@debian.org>  Tue, 23 Apr 2024 11:48:15 -0300
