## scalene 1.5.41

=== requirements.txt ===
--- 
+++ 
@@ -10,5 +10,5 @@
 pyperf==2.0.0
 rich>=10.7.0
 setuptools>=65.5.1
-pynvml~=11.0.0
+pynvml>=11.0,<=11.5
 wheel~=0.38.1
