=== debian/changelog ===
scalene (1.5.41-1) unstable; urgency=medium

  * New upstream version.
  * d/control: Add pybuild-plugin-pyproject as Build Dependency.
  * d/control: Bump Standards-Version to 4.7.0 (from 4.6.2; no further
    changes needed).

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 10 May 2024 20:44:05 -0300
