=== debian/changelog ===
scalene (1.5.43.2-1) unstable; urgency=medium

  * New upstream version.
  * d/patches/0000-No-strict-dependency-on-pynvml: Update patch acording to
    new upstream release source code.
  * d/copyright: Remove vendor/crdp/* from copyright entry.
  * d/rules: Stop install crdp.abi3.so.

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 09 Aug 2024 21:29:29 -0300
