## scalene 1.5.44.1

=== debian/changelog ===
scalene (1.5.44.1-1) unstable; urgency=medium

  * New upstream version.
  * d/patches/0005-Point-to-the-debianize-scalene-gui-path.patch: Refresh
    patch.

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 23 Aug 2024 16:28:35 -0300
