=== debian/changelog ===
scalene (1.5.45-2) unstable; urgency=medium

  * d/patches/remove-dependency-on-astunparse.patch: Add patch to remove
   dependency on astunparse.

 -- Emmanuel Arias <eamanu@debian.org>  Sat, 19 Oct 2024 22:55:57 -0300

scalene (1.5.45-1) unstable; urgency=medium

  * New upstream version.
  * d/patches/0001-Load-libscalene-so-with-Python-ABI-suffix: Update patch
    according to new upstream release.

 -- Emmanuel Arias <eamanu@debian.org>  Thu, 03 Oct 2024 16:40:17 -0300
