=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                debhelper-compat (= 13),
                dh-sequence-python3,
                help2man,
+               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-cloudpickle,
                python3-jinja2,
@@ -17,7 +18,7 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-wheel,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/plasma-umass/scalene
 Vcs-Browser: https://salsa.debian.org/python-team/packages/scalene
 Vcs-Git: https://salsa.debian.org/python-team/packages/scalene.git
