## scalene 1.5.51

=== debian/changelog ===
scalene (1.5.51-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 15:03:00 +0000

scalene (1.5.51-1) unstable; urgency=medium

  * New upstream version.
  * d/rules: Use libjs-bootstrap5 instead of libjs-bootstrap4 as binary
    dependency (Closes: #1088597).
    - run wrap-and-sort.

 -- Emmanuel Arias <eamanu@debian.org>  Mon, 17 Mar 2025 20:25:22 -0300
