=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Emmanuel Arias <eamanu@debian.org>,
-Build-Depends: cython3,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               cython3,
                help2man,
                pybuild-plugin-pyproject,
                python3-all-dev,
@@ -26,7 +26,7 @@
 
 Package: python3-scalene
 Architecture: any
-Depends: libjs-bootstrap4,
+Depends: libjs-bootstrap5,
          libjs-jquery,
          ${misc:Depends},
          ${python3:Depends},
