## scalene 1.5.54

=== Makefile ===
--- 
+++ 
@@ -20,10 +20,13 @@
 mypy:
 	-mypy $(PYTHON_SOURCES)
 
-format: black clang-format
+format: black isort clang-format
 
 clang-format:
 	-clang-format -i $(C_SOURCES) --style=google
+
+isort:
+	-isort $(PYTHON_SOURCES)
 
 black:
 	-black -l 79 $(PYTHON_SOURCES)
