=== requirements.txt ===
--- 
+++ 
@@ -1,13 +1,12 @@
 astunparse>=1.6.3; python_version < '3.9'
-cloudpickle==2.2.1
+cloudpickle>=2.2.1
 Cython>=0.29.28
-git+https://github.com/plasma-umass/crdp.git#egg=crdp
 ipython>=8.10
-Jinja2==3.0.3
-lxml==5.1.0
+Jinja2>=3.0.3
+lxml>=5.1.0
 packaging>=24
 psutil>=5.9.2
-pyperf==2.0.0
+pyperf>=2.0.0
 rich>=10.7.0
 setuptools>=65.5.1
 nvidia-ml-py>=12.555.43; platform_system !='Darwin'
