=== debian/changelog ===
scalene (1.5.54-2) unstable; urgency=medium

  * Team upload.
  * Allow stderr from autopkgtests, since scalene now warns on some
    architectures.

 -- Colin Watson <cjwatson@debian.org>  Thu, 04 Sep 2025 02:45:03 +0100

scalene (1.5.54-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 04 Sep 2025 01:52:00 +0100
