=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
                python3-rich,
                python3-setuptools,
                python3-setuptools-scm,
-               python3-wheel,
 Standards-Version: 4.7.0
 Homepage: https://github.com/plasma-umass/scalene
 Vcs-Browser: https://salsa.debian.org/python-team/packages/scalene
