=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,5 @@
 	set -e; for pyver in $(PYVERS); do \
 		abitag=.$$(python$$pyver -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))"); \
 		mv $(DESTDIR)/usr/lib/python$$pyver/dist-packages/scalene/libscalene.so $(DESTDIR)/usr/lib/python$$pyver/dist-packages/scalene/libscalene$$abitag.so; \
-		mv $(DESTDIR)/usr/lib/python$$pyver/dist-packages/scalene/crdp.abi3.so $(DESTDIR)/usr/lib/python$$pyver/dist-packages/scalene/crdp$$abitag.so; \
 		mv $(DESTDIR)/usr/lib/python$$pyver/dist-packages/scalene/get_line_atomic.abi3.so $(DESTDIR)/usr/lib/python$$pyver/dist-packages/scalene/get_line_atomic$$abitag.so; \
 	done
