=== debian/tests/control ===
Tests: simpletest
Depends:
 python3-all,
 @
Restrictions: allow-stderr
