=== debian/watch ===
version=4
https://pypi.debian.net/scalene/scalene-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
